#CONTRATS D'HIPTESI

#Assignem el Nombre d'observacions, la Mitjana i la Desviaci estndard de la distribuci
nobs <- 7 
mu <- 8.3
sigma <- 1.4/sqrt(nobs)
Xmit<- 8.1 
alfa<-0.01
est_t<-(Xmit-mu)/sigma



#Anlisi grfica.


# Generaci del grfic


eix <- c(-4,4)
x <- seq(eix[1], eix[2], length = 1001)
y <- dt(x, nobs-1)
plot(x, y, type='l', xlab = expression(italic("t")), ylab = expression(italic("Densitat")))
abline(h = 0)
alfa1<-0.1
x1 <- x[x <= qt(alfa1,nobs-1)] ; y1 <- dt(x1, nobs-1)
x2 <- c(x1[1],x1, x1[length(x1)], x1[1])
y2 <- c(0, y1, 0, 0)
polygon(x2, y2, col = 'blue')
alfa2<-0.05
x1 <- x[x <= qt(alfa2,nobs-1)] ; y1 <- dt(x1, nobs-1)
x2 <- c(x1[1],x1, x1[length(x1)], x1[1])
y2 <- c(0, y1, 0, 0)
polygon(x2, y2, col = 'yellow', density=20, lwd=2)
alfa3<-0.01
x1 <- x[x <= qt(alfa3,nobs-1)] ; y1 <- dt(x1, nobs-1)
x2 <- c(x1[1],x1, x1[length(x1)], x1[1])
y2 <- c(0, y1, 0, 0)
polygon(x2, y2, col = 'red', density=20, angle=-45, lwd=2)
p_est_t<-pt((Xmit-mu)/sigma, nobs-1)
x1 <- x[x <= qt(p_est_t,nobs-1)] ; y1 <- dt(x1, nobs-1)
x2 <- c(x1[1],x1, x1[length(x1)], x1[1])
y2 <- c(0, y1, 0, 0)
polygon(x2, y2, col = 'brown', lwd=2, lty=2, density=20, angle=-90)

#Afegim Lnees
lines(c(-4, qt(0.01,nobs-1)), c(dt(qt(0.01,nobs-1),nobs-1), dt(qt(0.01,nobs-1),nobs-1)), col='red', lwd=2)
lines(c(-4, qt(0.05,nobs-1)), c(dt(qt(0.05,nobs-1),nobs-1), dt(qt(0.05,nobs-1),nobs-1)), col='yellow', lwd=2)
lines(c(-4, qt(0.1,nobs-1)), c(dt(qt(0.1,nobs-1),nobs-1), dt(qt(0.1,nobs-1),nobs-1)), col='blue', lwd=2)

#Afegim Text

text((-4+qt(0.01,nobs-1))/2, 2*dt(qt(0.01,nobs-1),nobs-1), expression(italic(alpha[1] == 0.01)), col='red', cex=1.1)
text((-4+qt(0.05,nobs-1))/2, 1.3*dt(qt(0.05,nobs-1),nobs-1), expression(italic(alpha[2] == 0.05)), col='yellow', cex=1.1)
text((-4+qt(0.1,nobs-1))/2, 1.2*dt(qt(0.1,nobs-1),nobs-1), expression(italic(alpha[3] == 0.1)), col='blue', cex=1.1)
text(-2, 0.9*dt(0,nobs-1), round(p_est_t,2), col='brown', cex=2)

