#CONTRATS D'HIPTESI. DIFERNCIA DE MITJANES

#Assignem el Nombre d'observacions, la Mitjana i la Desviaci estndard de la distribuci
nobs1 <- 15
nobs2 <- 12

sumx1 <-570
sumx2 <-240

sumx1_2 <- 21896
sumx2_2 <- 5018

#Distribuci de la diferncia de mitjanes
Xmit1 <- sumx1/nobs1
Xmit2 <- sumx2/nobs2

Xmit <-abs(Xmit1-Xmit2)
s1_2 <- (sumx1_2 - nobs1*Xmit1^2)/(nobs1-1)
s2_2 <- (sumx2_2 - nobs2*Xmit2^2)/(nobs2-1)
s_2 <- ((nobs1-1)*s1_2+(nobs2-1)*s2_2)/(nobs1+nobs2-2)

nobs <-nobs1+nobs2-2
mu <- 0
sigma <- sqrt(1/nobs1+1/nobs2)*sqrt(s_2)
sigma
alfa<-0.01
est_t<-(Xmit-mu)/sigma

#Anlisi grfica.
alfa1<-0.1
alfa2<-0.05
alfa3<-0.01


# Generaci del grfic


eix <- c(-1.2*est_t,1.2*est_t)
x <- seq(eix[1], eix[2], length = 1001)
y <- dt(x, nobs-1)
plot(x, y, type='l', xlab = expression(italic("t")), ylab = expression(italic("Densitat")))

abline(h = 0)

x1 <- x[x <= qt(alfa1/2,nobs-1)] ; y1 <- dt(x1, nobs-1)
x2 <- c(x1[1],x1, x1[length(x1)], x1[1])
y2 <- c(0, y1, 0, 0)
polygon(x2, y2, col = 'blue')
x1 <- x[x >= qt(1-alfa1/2,nobs-1)] ; y1 <- dt(x1, nobs-1)
x2 <- c(x1[1],x1, x1[length(x1)], x1[1])
y2 <- c(0, y1, 0, 0)
polygon(x2, y2, col = 'blue')

x1 <- x[x <= qt(alfa2/2,nobs-1)] ; y1 <- dt(x1, nobs-1)
x2 <- c(x1[1],x1, x1[length(x1)], x1[1])
y2 <- c(0, y1, 0, 0)
polygon(x2, y2, col = 'yellow', density=30, angle=45)
x1 <- x[x >= qt(1-alfa2/2,nobs-1)] ; y1 <- dt(x1, nobs-1)
x2 <- c(x1[1],x1, x1[length(x1)], x1[1])
y2 <- c(0, y1, 0, 0)
polygon(x2, y2, col = 'yellow', density=30, angle=45)

x1 <- x[x <= qt(alfa3/2,nobs-1)] ; y1 <- dt(x1, nobs-1)
x2 <- c(x1[1],x1, x1[length(x1)], x1[1])
y2 <- c(0, y1, 0, 0)
polygon(x2, y2, col = 'red', density=30, angle=-45)
x1 <- x[x >= qt(1-alfa3/2,nobs-1)] ; y1 <- dt(x1, nobs-1)
x2 <- c(x1[1],x1, x1[length(x1)], x1[1])
y2 <- c(0, y1, 0, 0)
polygon(x2, y2, col = 'red', density=30, angle=-45)
x1 <- x[x >= qt(pt(est_t,nobs-1),nobs-1)] ; y1 <- dt(x1, nobs-1)
x2 <- c(x1[1],x1, x1[length(x1)], x1[1])
y2 <- c(0, y1, 0, 0)
polygon(x2, y2, col = 'brown', density=30, angle=-90)



#Afegim Lnees
abline(v = est_t, col='brown', lty=2, lwd=2)

#Afegim Text
llegenda<-c(expression(italic(alpha[3] == 0.1)),expression(italic(alpha[2] == 0.05)),expression(italic(alpha[1] == 0.01)), expression(italic(Estadstic)))
legend("topleft", llegenda, col=c('blue','yellow','red', 'brown'), lwd=c(15,15,15,15), bty="n")
text(est_t, 0.1, round(est_t,3), col='brown', cex=1.5) 
