#CONTRATS D'HIPTESI. DIFERNCIA DE MITJANES

#Assignem el Nombre d'observacions, la Mitjana i la Desviaci estndard de la distribuci
nobs1 <- 60
nobs2 <- 120

Xmit1 <- 1.040
Xmit2 <- 1.250

sumx1_2<-80
sumx2_2<-200

Xmit <-Xmit2-Xmit1
s1_2 <- (sumx1_2 - nobs1*Xmit1^2)/(nobs1-1)
s2_2 <- (sumx2_2 - nobs2*Xmit2^2)/(nobs2-1)
s_2 <- ((nobs1-1)*s1_2+(nobs2-1)*s2_2)/(nobs1+nobs2-2)

nobs <-nobs1+nobs2-2
mu <- 0
sigma <- sqrt(1/nobs1+1/nobs2)*sqrt(s_2)
sigma
alfa<-0.01


#Anlisi grfica.
alfa1<-0.1
alfa2<-0.05
alfa3<-0.01


# Generaci del grfic


eix <- c(mu-5*sigma,mu+5*sigma)
x <- seq(eix[1], eix[2], length = 1001)
y <- dnorm(x, mu, sigma)
plot(x, y, type='l', xlab = expression(italic(mu[B]-mu[A])), ylab = expression(italic("Densitat")))

abline(h = 0)

x1 <- x[x <= qnorm(alfa1/2,mu,sigma)] ; y1 <- dnorm(x1, mu, sigma)
x2 <- c(x1[1],x1, x1[length(x1)], x1[1])
y2 <- c(0, y1, 0, 0)
polygon(x2, y2, col = 'blue')
x1 <- x[x >= qnorm(1-alfa1/2,mu,sigma)] ; y1 <- dnorm(x1, mu, sigma)
x2 <- c(x1[1],x1, x1[length(x1)], x1[1])
y2 <- c(0, y1, 0, 0)
polygon(x2, y2, col = 'blue')

x1 <- x[x <= qnorm(alfa2/2,mu,sigma)] ; y1 <- dnorm(x1, mu, sigma)
x2 <- c(x1[1],x1, x1[length(x1)], x1[1])
y2 <- c(0, y1, 0, 0)
polygon(x2, y2, col = 'yellow', density=30, angle=45)
x1 <- x[x >= qnorm(1-alfa2/2,mu,sigma)] ; y1 <- dnorm(x1, mu, sigma)
x2 <- c(x1[1],x1, x1[length(x1)], x1[1])
y2 <- c(0, y1, 0, 0)
polygon(x2, y2, col = 'yellow', density=30, angle=45)

x1 <- x[x <= qnorm(alfa3/2,mu,sigma)] ; y1 <- dnorm(x1, mu, sigma)
x2 <- c(x1[1],x1, x1[length(x1)], x1[1])
y2 <- c(0, y1, 0, 0)
polygon(x2, y2, col = 'red', density=30, angle=-45)
x1 <- x[x >= qnorm(1-alfa3/2,mu,sigma)] ; y1 <- dnorm(x1, mu, sigma)
x2 <- c(x1[1],x1, x1[length(x1)], x1[1])
y2 <- c(0, y1, 0, 0)
polygon(x2, y2, col = 'red', density=30, angle=-45)

x1 <- x[x >= Xmit] ; y1 <- dnorm(x1, mu, sigma)
x2 <- c(x1[1],x1, x1[length(x1)], x1[1])
y2 <- c(0, y1, 0, 0)
polygon(x2, y2, col = 'brown', density=30, angle=-90)



#Afegim Lnees
abline(v = Xmit, col='brown', lty=2, lwd=2)

#Afegim Text
llegenda<-c(expression(italic(alpha[3] == 0.1)),expression(italic(alpha[2] == 0.05)),expression(italic(alpha[1] == 0.01)), expression(italic(Estadstic)))
legend("topleft", llegenda, col=c('blue','yellow','red', 'brown'), lwd=c(15,15,15,15), bty="n")
text(Xmit, 0.75*dnorm(mu,mu,sigma), round(1-pnorm(Xmit,mu,sigma),3), col='brown', cex=1.5) 
