#CONTRATS D'HIPTESI. MITJANA

#Assignem el Nombre d'observacions
m<-c(580,590,620,530,700,650,610,630,590,670)
nobs <- length(m)
Xmit<-sum(m)/length(m)
sigma<-sqrt(4000/nobs)

mu<-600
#Anlisi grfica.

alfa1<-0.1
alfa2<-0.05
alfa3<-0.01


# Generaci del grfic


eix <- c(mu-4*sigma,mu+4*sigma)
x <- seq(eix[1], eix[2], length = 1001)
y <- dnorm(x, mu, sigma)
plot(x, y, type='l', xlab = expression(italic(mu)), ylab = expression(italic("Densitat")))

abline(h = 0)

x1 <- x[x >= qnorm(1-alfa1/2, mu, sigma)] ; y1 <- dnorm(x1, mu, sigma)
x2 <- c(x1[1],x1, x1[length(x1)], x1[1])
y2 <- c(0, y1, 0, 0)
polygon(x2, y2, col = 'blue')

x1 <- x[x >= qnorm(1-alfa2/2, mu, sigma)] ; y1 <- dnorm(x1, mu, sigma)

x2 <- c(x1[1],x1, x1[length(x1)], x1[1])
y2 <- c(0, y1, 0, 0)
polygon(x2, y2, col = 'yellow', density=30, angle=45)

x1 <- x[x >= qnorm(1-alfa3/2, mu, sigma)] ; y1 <- dnorm(x1, mu, sigma)
x2 <- c(x1[1],x1, x1[length(x1)], x1[1])
y2 <- c(0, y1, 0, 0)
polygon(x2, y2, col = 'red', density=30, angle=-45)

x1 <- x[x >= Xmit] ; y1 <- dnorm(x1, mu, sigma)
x2 <- c(x1[1],x1, x1[length(x1)], x1[1])
y2 <- c(0, y1, 0, 0)
polygon(x2, y2, col = 'brown', density=30, angle=-90)

#Afegim Lnees
abline(v = Xmit, col='brown', lty=2, lwd=2)

#Afegim Text
llegenda<-c(expression(italic(alpha[3] == 0.1)),expression(italic(alpha[2] == 0.05)),expression(italic(alpha[1] == 0.01)),expression(italic(Estadstic)))
legend("topleft", llegenda, col=c('blue','yellow','red','brown'), lwd=c(15,15,15,15), bty="n")
text(mu, 0.75*dnorm(mu,mu,sigma), round(1-pnorm(Xmit, mu, sigma),3), col='brown', cex=1.5) 
