#CONTRATS D'HIPTESI. Diferncia de Mitjanes

#Assignem el Nombre d'observacions
nobs1 <- 210
Xmit1 <- 60
sigma1 <- 21.2

nobs2 <- 240
Xmit2 <- 52
sigma2 <- 18.3


Xmit<-Xmit1-Xmit2
mu0<-0
sigma<-sqrt((sigma1^2/nobs1)+(sigma2^2/nobs2))

#Anlisi grfica.


# Generaci del grfic


eix <- c(mu0-5*sigma,mu0+5*sigma)
x <- seq(eix[1], eix[2], length = 1001)
y <- dnorm(x, mu0, sigma)
plot(x, y, type='l', xlab = expression(italic(mu[A]-mu[B])), ylab = expression(italic("Densitat")))

abline(h = 0)

alfa1<-0.1
x1 <- x[x <= qnorm(alfa1/2,mu0, sigma)] ; y1 <- dnorm(x1, mu0, sigma)
x2 <- c(x1[1],x1, x1[length(x1)], x1[1])
y2 <- c(0, y1, 0, 0)
polygon(x2, y2, col = 'blue')
x1 <- x[x >= qnorm(1-alfa1/2,mu0, sigma)] ; y1 <- dnorm(x1, mu0, sigma)
x2 <- c(x1[1],x1, x1[length(x1)], x1[1])
y2 <- c(0, y1, 0, 0)
polygon(x2, y2, col = 'blue')

alfa2<-0.05
x1 <- x[x <= qnorm(alfa2/2,mu0, sigma)] ; y1 <- dnorm(x1, mu0, sigma)
x2 <- c(x1[1],x1, x1[length(x1)], x1[1])
y2 <- c(0, y1, 0, 0)
polygon(x2, y2, col = 'yellow', density=30, angle=45)
x1 <- x[x >= qnorm(1-alfa2/2,mu0, sigma)] ; y1 <- dnorm(x1, mu0, sigma)
x2 <- c(x1[1],x1, x1[length(x1)], x1[1])
y2 <- c(0, y1, 0, 0)
polygon(x2, y2, col = 'yellow', density=30, angle=45)

alfa3<-0.01
x1 <- x[x <= qnorm(alfa3/2,mu0, sigma)] ; y1 <- dnorm(x1, mu0, sigma)
x2 <- c(x1[1],x1, x1[length(x1)], x1[1])
y2 <- c(0, y1, 0, 0)
polygon(x2, y2, col = 'red', density=30, angle=-45)
x1 <- x[x >= qnorm(1-alfa3/2,mu0, sigma)] ; y1 <- dnorm(x1, mu0, sigma)
x2 <- c(x1[1],x1, x1[length(x1)], x1[1])
y2 <- c(0, y1, 0, 0)
polygon(x2, y2, col = 'red', density=30, angle=-45)

x1 <- x[x >= Xmit] ; y1 <- dnorm(x1, mu0, sigma)
x2 <- c(x1[1],x1, x1[length(x1)], x1[1])
y2 <- c(0, y1, 0, 0)
polygon(x2, y2, col = 'brown', density=30, angle=-90)



#Afegim Lnees
abline(v = Xmit, col='brown', lty=2, lwd=2)

#Afegim Text
llegenda<-c(expression(italic(alpha[3] == 0.1)),expression(italic(alpha[2] == 0.05)),expression(italic(alpha[1] == 0.01)),expression(italic(Estadstic)))
legend("topleft", llegenda, col=c('blue','yellow','red','brown'), lwd=c(15,15,15,15), bty="n")
text(Xmit, dnorm(mu0, mu0, sigma), round(1-pnorm(Xmit, mu0,sigma) ,3), col='brown', cex=1.5) 
