#CONTRATS D'HIPTESI. DIFERNCIA DE VARINCIES

#Assignem el Nombre d'observacions
nobs1 <- 210
nobs2 <- 240

s1_2 <- 21.2
s2_2 <- 18.3
est_f<-s1_2/s2_2

#Anlisi grfica.
alfa1<-0.1
alfa2<-0.05
alfa3<-0.01


# Generaci del grfic

par(mfrow=c(1,2))

#Cua superior

eix <- c(0,2)
x <- seq(eix[1], eix[2], length = 1001)
y <- df(x, nobs1-1, nobs2-1)
plot(x, y, type='l', xlab = expression(italic(sigma[A]/sigma[B])), ylab = expression(italic("Densitat")))

abline(h = 0)

x1 <- x[x >= qf(1-alfa1/2,nobs1-1, nobs2-1)] ; y1 <- df(x1, nobs1-1, nobs2-1)
x2 <- c(x1[1],x1, x1[length(x1)], x1[1])
y2 <- c(0, y1, 0, 0)
polygon(x2, y2, col = 'blue')

x1 <- x[x >= qf(1-alfa2/2,nobs1-1, nobs2-1)] ; y1 <- df(x1, nobs1-1, nobs2-1)
x2 <- c(x1[1],x1, x1[length(x1)], x1[1])
y2 <- c(0, y1, 0, 0)
polygon(x2, y2, col = 'yellow', density=30, angle=45)

x1 <- x[x >= qf(1-alfa3/2,nobs1-1, nobs2-1)] ; y1 <- df(x1, nobs1-1, nobs2-1)
x2 <- c(x1[1],x1, x1[length(x1)], x1[1])
y2 <- c(0, y1, 0, 0)
polygon(x2, y2, col = 'red', density=30, angle=-45)

x1 <- x[x >= qf(pf(est_f,nobs1-1, nobs2-1), nobs1-1, nobs2-1)] ; y1 <- df(x1, nobs1-1, nobs2-1)
x2 <- c(x1[1],x1, x1[length(x1)], x1[1])
y2 <- c(0, y1, 0, 0)
polygon(x2, y2, col = 'brown', density=30, angle=-90)

#Afegim Lnees
abline(v = est_f, col='brown', lty=2, lwd=2)

#Afegim Text
llegenda<-c(expression(italic(alpha[3] == 0.1/2)),expression(italic(alpha[2] == 0.05/2)),expression(italic(alpha[1] == 0.01/2)),expression(italic(Estadstic)))
legend("topright", llegenda, col=c('blue','yellow','red','brown'), lwd=c(15,15,15,15), bty="n")
text(1.5, 0.8, round(1-pf(est_f, nobs1-1, nobs2-1),3), col='brown', cex=1) 


#Cua Inferior

eix <- c(0,2)
x <- seq(eix[1], eix[2], length = 1001)
y <- df(x, nobs1-1, nobs2-1)
plot(x, y, type='l', xlab = expression(italic(sigma[A]/sigma[B])), ylab = expression(italic("Densitat")))

abline(h = 0)

x1 <- x[x <= qf(alfa1/2,nobs1-1, nobs2-1)] ; y1 <- df(x1, nobs1-1, nobs2-1)
x2 <- c(x1[1],x1, x1[length(x1)], x1[1])
y2 <- c(0, y1, 0, 0)
polygon(x2, y2, col = 'blue')

x1 <- x[x <= qf(alfa2/2,nobs1-1, nobs2-1)] ; y1 <- df(x1, nobs1-1, nobs2-1)
x2 <- c(x1[1],x1, x1[length(x1)], x1[1])
y2 <- c(0, y1, 0, 0)
polygon(x2, y2, col = 'yellow', density=30, angle=45)

x1 <- x[x <= qf(alfa3/2,nobs1-1, nobs2-1)] ; y1 <- df(x1, nobs1-1, nobs2-1)
x2 <- c(x1[1],x1, x1[length(x1)], x1[1])
y2 <- c(0, y1, 0, 0)
polygon(x2, y2, col = 'red', density=30, angle=-45)

x1 <- x[x <= qf(pf(est_f,nobs1-1, nobs2-1), nobs1-1, nobs2-1)] ; y1 <- df(x1, nobs1-1, nobs2-1)
x2 <- c(x1[1],x1, x1[length(x1)], x1[1])
y2 <- c(0, y1, 0, 0)
polygon(x2, y2, col = 'brown', density=30, angle=-90)

#Afegim Lnees
abline(v = est_f, col='brown', lty=2, lwd=2)

#Afegim Text
llegenda<-c(expression(italic(alpha[3] == 0.1/2)),expression(italic(alpha[2] == 0.05/2)),expression(italic(alpha[1] == 0.01/2)),expression(italic(Estadstic)))
legend("topright", llegenda, col=c('blue','yellow','red','brown'), lwd=c(15,15,15,15), bty="n")
text(0.5, 0.8, round(pf(est_f, nobs1-1, nobs2-1),3), col='brown', cex=1) 
