#CONTRATS D'HIPTESI. PROPORCI

#Assignem el Nombre d'observacions
nobs <- 1200
ni <- 260

p <- ni/nobs

phi<-0.2
sigma<-sqrt(phi*(1-phi)/nobs)

#Anlisi grfica.

alfa1<-0.1
alfa2<-0.05
alfa3<-0.01


# Generaci del grfic


eix <- c(phi-4*sigma,phi+4*sigma)
x <- seq(eix[1], eix[2], length = 1001)
y <- dnorm(x, phi, sigma)
plot(x, y, type='l', xlab = expression(italic(pi)), ylab = expression(italic("Densitat")))

abline(h = 0)

x1 <- x[x <= qnorm(alfa1/2, phi, sigma)] ; y1 <- dnorm(x1, phi, sigma)
x2 <- c(x1[1],x1, x1[length(x1)], x1[1])
y2 <- c(0, y1, 0, 0)
polygon(x2, y2, col = 'blue')
x1 <- x[x >= qnorm(1-alfa1/2, phi, sigma)] ; y1 <- dnorm(x1, phi, sigma)
x2 <- c(x1[1],x1, x1[length(x1)], x1[1])
y2 <- c(0, y1, 0, 0)
polygon(x2, y2, col = 'blue')

x1 <- x[x <= qnorm(alfa2/2, phi, sigma)] ; y1 <- dnorm(x1, phi, sigma)
x2 <- c(x1[1],x1, x1[length(x1)], x1[1])
y2 <- c(0, y1, 0, 0)
polygon(x2, y2, col = 'yellow', density=30, angle=45)
x1 <- x[x >= qnorm(1-alfa2/2, phi, sigma)] ; y1 <- dnorm(x1, phi, sigma)
x2 <- c(x1[1],x1, x1[length(x1)], x1[1])
y2 <- c(0, y1, 0, 0)
polygon(x2, y2, col = 'yellow', density=30, angle=45)

x1 <- x[x <= qnorm(alfa3/2, phi, sigma)] ; y1 <- dnorm(x1, phi, sigma)
x2 <- c(x1[1],x1, x1[length(x1)], x1[1])
y2 <- c(0, y1, 0, 0)
polygon(x2, y2, col = 'red', density=30, angle=-45)
x1 <- x[x >= qnorm(1-alfa3/2, phi, sigma)] ; y1 <- dnorm(x1, phi, sigma)
x2 <- c(x1[1],x1, x1[length(x1)], x1[1])
y2 <- c(0, y1, 0, 0)
polygon(x2, y2, col = 'red', density=30, angle=-45)

x1 <- x[x >= qnorm(pnorm(p,phi, sigma), phi, sigma)] ; y1 <- dnorm(x1, phi, sigma)
x2 <- c(x1[1],x1, x1[length(x1)], x1[1])
y2 <- c(0, y1, 0, 0)
polygon(x2, y2, col = 'brown', density=30, angle=-90)

#Afegim Lnees
abline(v = p, col='brown', lty=2, lwd=2)

#Afegim Text
llegenda<-c(expression(italic(alpha[3] == 0.1)),expression(italic(alpha[2] == 0.05)),expression(italic(alpha[1] == 0.01)),expression(italic(Estadstic)))
legend("topleft", llegenda, col=c('blue','yellow','red','brown'), lwd=c(15,15,15,15), bty="n")
text(p, 0.75*dnorm(phi,phi,sigma), round(1-pnorm(p, phi, sigma),3), col='brown', cex=1) 
