#Error Tipus I vs. Tipus II
mu0 <- 580; 
muA <- 600;
nobs <- 100;
sigma <- 80/sqrt(100);
Xmit<-590
alfa <- round(1-pnorm(Xmit,mu0,sigma),3);



# Generaci del grfic
par(mfrow=c(1,2))

eix <- c(mu0 - 3 * sigma, muA + 3 * sigma)
x <- seq(eix[1], eix[2], length = 1001)
y <- 1.25*dnorm(x, mu0, sigma)
plot(x, y, type='n',  xlab = expression(italic(bar('X'))), ylab = expression(italic(Densitat)), lwd=2, main='Exercici 3.1')
abline(h = 0)
x1 <- x[x >= qnorm(1-alfa,mu0,sigma)] ; y1 <- dnorm(x1, mu0, sigma)
x2 <- c(x1[1],x1, x1[length(x1)], x1[1])
y2 <- c(0, y1, 0, 0)
polygon(x2, y2, col = 'red', border='red')
x1 <- x[x <= qnorm(1-alfa,mu0,sigma)] ; y1 <- dnorm(x1, muA, sigma)
x2 <- c(x1[1],x1, x1[length(x1)], x1[1])
y2 <- c(0, y1, 0, 0)
polygon(x2, y2, col = 'blue', border='blue')
x1 <- x[x <= qnorm(1-alfa,mu0,sigma)] ; y1 <- dnorm(x1, mu0, sigma)
x2 <- c(x1[1],x1, x1[length(x1)], x1[1])
y2 <- c(0, y1, 0, 0)
polygon(x2, y2, border='red', lty=2,lwd=2)
x1 <- x[x >= qnorm(1-alfa,mu0,sigma)] ; y1 <- dnorm(x1, muA, sigma)
x2 <- c(x1[1],x1, x1[length(x1)], x1[1])
y2 <- c(0, y1, 0, 0)
polygon(x2, y2, border='blue', lty=2, lwd=2)

#Afegim Text
beta<-round(pnorm(qnorm(1-alfa,mu0,sigma),muA,sigma),3)
llegenda<-c(expression(italic(alpha)),expression(1-italic(alpha)),expression(italic(beta)),expression(1-italic(beta)))
legend("topleft", llegenda, col=c('red','red','blue','blue'), lwd=c(20,2,20,2), lty=c(1,2,1,2), bty="n") 
text(mu0, 0.7*dnorm(mu0,mu0,sigma), expression(italic(mu[0])), cex=1.5, )
text(muA, 0.7*dnorm(muA,muA,sigma), expression(italic(mu[A])), cex=1.5)
text(mu0-2.5*sigma, 0.5*dnorm(mu0,mu0,sigma), 1-alfa, col='red', cex=1.5)
text(mu0-2.5*sigma, 0.2*dnorm(mu0,mu0,sigma), beta, col='blue', cex=1.5)
text(muA+2.5*sigma, 0.5*dnorm(mu0,mu0,sigma), 1-beta, col='blue', cex=1.5)
text(muA+2.5*sigma, 0.2*dnorm(mu0,mu0,sigma), alfa, col='red', cex=1.5)

#Segon grfic
sigma <- 80/sqrt(144);
alfa <- round(1-pnorm(Xmit,mu0,sigma),3);
plot(x, y, type='n', xlab = expression(italic(bar('X'))), ylab='', lwd=2, main='Exercici 3.3')
x1 <- x[x >= qnorm(1-alfa,mu0,sigma)] ; y1 <- dnorm(x1, mu0, sigma)
x2 <- c(x1[1],x1, x1[length(x1)], x1[1])
y2 <- c(0, y1, 0, 0)
polygon(x2, y2, col = 'red', border='red')
x1 <- x[x <= qnorm(1-alfa,mu0,sigma)] ; y1 <- dnorm(x1, muA, sigma)
x2 <- c(x1[1],x1, x1[length(x1)], x1[1])
y2 <- c(0, y1, 0, 0)
polygon(x2, y2, col = 'blue', border='blue')
x1 <- x[x <= qnorm(1-alfa,mu0,sigma)] ; y1 <- dnorm(x1, mu0, sigma)
x2 <- c(x1[1],x1, x1[length(x1)], x1[1])
y2 <- c(0, y1, 0, 0)
polygon(x2, y2, border='red', lty=2,lwd=2)
x1 <- x[x >= qnorm(1-alfa,mu0,sigma)] ; y1 <- dnorm(x1, muA, sigma)
x2 <- c(x1[1],x1, x1[length(x1)], x1[1])
y2 <- c(0, y1, 0, 0)
polygon(x2, y2, border='blue', lty=2, lwd=2)

#Afegim Text
beta<-round(pnorm(qnorm(1-alfa,mu0,sigma),muA,sigma),3)
llegenda<-c(expression(italic(alpha)),expression(1-italic(alpha)),expression(italic(beta)),expression(1-italic(beta)))
legend("topleft", llegenda, col=c('red','red','blue','blue'), lwd=c(20,2,20,2), lty=c(1,2,1,2), bty="n") 
text(mu0, 0.7*dnorm(mu0,mu0,sigma), expression(italic(mu[0])), cex=1.5, )
text(muA, 0.7*dnorm(muA,muA,sigma), expression(italic(mu[A])), cex=1.5)
text(mu0-2.5*sigma, 0.5*dnorm(mu0,mu0,sigma), 1-alfa, col='red', cex=1.5)
text(mu0-2.5*sigma, 0.2*dnorm(mu0,mu0,sigma), beta, col='blue', cex=1.5)
text(muA+2.5*sigma, 0.5*dnorm(mu0,mu0,sigma), 1-beta, col='blue', cex=1.5)
text(muA+2.5*sigma, 0.2*dnorm(mu0,mu0,sigma), alfa, col='red', cex=1.5)









