#CONTRATS D'HIPTESI. MITJANA

#Assignem el Nombre d'observacions, la Mitjana i la Desviaci estndard de la distribuci
nobs <- 15
mu <- 5000
sigma <- 372.3/sqrt(nobs)
Xmit<- 5200

est_t<-(Xmit-mu)/sigma


#Anlisi grfica.
alfa1<-0.1
alfa2<-0.05
alfa3<-0.01

# Generaci del grfic


eix <- c(-4,4)
x <- seq(eix[1], eix[2], length = 1001)
y <- dt(x, nobs-1)
plot(x, y, type='l', xlab = expression(italic("t")), ylab = expression(italic("Densitat")))
abline(h = 0)

x1 <- x[x >= qt(1-alfa1,nobs-1)] ; y1 <- dt(x1, nobs-1)
x2 <- c(x1[1],x1, x1[length(x1)], x1[1])
y2 <- c(0, y1, 0, 0)
polygon(x2, y2, col = 'blue')

x1 <- x[x >= qt(1-alfa2,nobs-1)] ; y1 <- dt(x1, nobs-1)
x2 <- c(x1[1],x1, x1[length(x1)], x1[1])
y2 <- c(0, y1, 0, 0)
polygon(x2, y2, col = 'yellow', density=20, lwd=2)

x1 <- x[x >= qt(1-alfa3,nobs-1)] ; y1 <- dt(x1, nobs-1)
x2 <- c(x1[1],x1, x1[length(x1)], x1[1])
y2 <- c(0, y1, 0, 0)
polygon(x2, y2, col = 'red', density=20, angle=-45, lwd=2)

x1 <- x[x >= qt(pt(est_t,nobs-1),nobs-1)] ; y1 <- dt(x1, nobs-1)
x2 <- c(x1[1],x1, x1[length(x1)], x1[1])
y2 <- c(0, y1, 0, 0)
polygon(x2, y2, col = 'brown', lwd=2, lty=2, density=20, angle=-90)

#Afegim Lnees
abline(v = est_t, col='brown', lty=2, lwd=2)

#Afegim Text
llegenda<-c(expression(italic(alpha[3] == 0.1)),expression(italic(alpha[2] == 0.05)),expression(italic(alpha[1] == 0.01)),expression(italic(Estadstic)))
legend("topleft", llegenda, col=c('blue','yellow','red','brown'), lwd=c(15,15,15,15), bty="n")
text(3, 0.9*dt(0,nobs-1), round(1-pt(est_t,nobs-1),2), col='brown', cex=1.5)

