#CONTRATS D'HIPTESI. MITJANA

#Assignem el Nombre d'observacions, la Mitjana i la Desviaci estndard de la distribuci
nobs <- 100
mu <- 2700
sigma <- 115/sqrt(nobs)
Xmit<- 2650


#Anlisi grfica.
alfa1<-0.1
alfa2<-0.05
alfa3<-0.01

# Generaci del grfic


eix <- c(mu-5*sigma,mu+5*sigma)
x <- seq(eix[1], eix[2], length = 1001)
y <- dnorm(x, mu,sigma)
plot(x, y, type='l', xlab = expression(italic("t")), ylab = expression(italic("Densitat")))
abline(h = 0)

x1 <- x[x <= qnorm(alfa1/2,mu,sigma)] ; y1 <- dnorm(x1, mu, sigma)
x2 <- c(x1[1],x1, x1[length(x1)], x1[1])
y2 <- c(0, y1, 0, 0)
polygon(x2, y2, col = 'blue')
x1 <- x[x >= qnorm(1-alfa1/2,mu,sigma)] ; y1 <- dnorm(x1, mu, sigma)
x2 <- c(x1[1],x1, x1[length(x1)], x1[1])
y2 <- c(0, y1, 0, 0)
polygon(x2, y2, col = 'blue')

x1 <- x[x <= qnorm(alfa2/2,mu,sigma)] ; y1 <- dnorm(x1, mu, sigma)
x2 <- c(x1[1],x1, x1[length(x1)], x1[1])
y2 <- c(0, y1, 0, 0)
polygon(x2, y2, col = 'yellow', density=20, lwd=2)
x1 <- x[x >= qnorm(1-alfa2/2,mu,sigma)] ; y1 <- dnorm(x1, mu, sigma)
x2 <- c(x1[1],x1, x1[length(x1)], x1[1])
y2 <- c(0, y1, 0, 0)
polygon(x2, y2, col = 'yellow', density=20, lwd=2)

x1 <- x[x <= qnorm(alfa3/2,mu,sigma)] ; y1 <- dnorm(x1, mu, sigma)
x2 <- c(x1[1],x1, x1[length(x1)], x1[1])
y2 <- c(0, y1, 0, 0)
polygon(x2, y2, col = 'red', density=20, angle=-45, lwd=2)
x1 <- x[x >= qnorm(1-alfa3/2,mu,sigma)] ; y1 <- dnorm(x1, mu, sigma)
x2 <- c(x1[1],x1, x1[length(x1)], x1[1])
y2 <- c(0, y1, 0, 0)
polygon(x2, y2, col = 'red', density=20, angle=-45, lwd=2)

x1 <- x[x <= Xmit] ; y1 <- dnorm(x1, mu,sigma)
x2 <- c(x1[1],x1, x1[length(x1)], x1[1])
y2 <- c(0, y1, 0, 0)
polygon(x2, y2, col = 'brown', lwd=2, lty=2, density=20, angle=-90)

#Afegim Lnees
abline(v = Xmit, col='brown', lty=2, lwd=2)

#Afegim Text
llegenda<-c(expression(italic(alpha[3] == 0.1)),expression(italic(alpha[2] == 0.05)),expression(italic(alpha[1] == 0.01)),expression(italic(Estadstic)))
legend("topright", llegenda, col=c('blue','yellow','red','brown'), lwd=c(15,15,15,15), bty="n")
text(mu-3*sigma, dnorm(mu, mu, sigma), round(pnorm(Xmit,mu,sigma),2), col='brown', cex=1.5)

